Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Namespaces | Enumerations | Functions
geoconstants.h File Reference

## Namespaces
namespace | Steinberg
| This header provides classes for working with FUnknown.
namespace | Steinberg::GeoConstants

## Enumerations
enum | Direction { kNorth, kNorthEast, kEast, kSouthEast, kSouth, kSouthWest, kWest, kNorthWest, kNoDirection, kNumberOfDirections }
enum | Orientation { kHorizontal, kVertical, kNumberOfOrientations }

## Functions
Direction | toOpposite (Direction dir)
Orientation | toOrientation (Direction dir)
Orientation | toOrthogonalOrientation (Orientation dir)

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.